Upstream information

CVE-2018-10733 at MITRE

Description

There is a heap-based buffer over-read in the function ft_font_face_hash of gxps-fonts.c in libgxps through 0.3.0. A crafted input will lead to a remote denial of service attack.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 5.9
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact None Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1092125 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
SUSE Linux Enterprise Module for Desktop Applications 15 SP2
  • libgxps-devel >= 0.3.0-4.3.29
  • libgxps2 >= 0.3.0-4.3.29
  • typelib-1_0-GXPS-0_1 >= 0.3.0-4.3.29
SUSE Linux Enterprise Module for Desktop Applications 15
  • libgxps-devel >= 0.3.0-4.3.29
  • libgxps2 >= 0.3.0-4.3.29
  • typelib-1_0-GXPS-0_1 >= 0.3.0-4.3.29
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-720
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libgxps-tools >= 0.3.0-4.3.29
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-720
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libgxps2 >= 0.2.2-10.3.5
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1687
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libgxps2 >= 0.2.2-10.3.5
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1687
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libgxps-devel >= 0.2.2-10.3.5
  • typelib-1_0-GXPS-0_1 >= 0.2.2-10.3.5
Patchnames:
SUSE-SLE-SDK-12-SP4-2020-1687
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libgxps-devel >= 0.2.2-10.3.5
  • typelib-1_0-GXPS-0_1 >= 0.2.2-10.3.5
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1687
openSUSE Leap 15.0
  • libgxps-debuginfo >= 0.3.0-lp150.3.3.2
  • libgxps-debugsource >= 0.3.0-lp150.3.3.2
  • libgxps-devel >= 0.3.0-lp150.3.3.2
  • libgxps-tools >= 0.3.0-lp150.3.3.2
  • libgxps-tools-debuginfo >= 0.3.0-lp150.3.3.2
  • libgxps2 >= 0.3.0-lp150.3.3.2
  • libgxps2-debuginfo >= 0.3.0-lp150.3.3.2
  • typelib-1_0-GXPS-0_1 >= 0.3.0-lp150.3.3.2
Patchnames:
openSUSE-2019-1120


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 libgxps Released
SUSE Enterprise Storage 6 libgxps Released
SUSE Linux Enterprise Desktop 12 SP2 libgxps Affected
SUSE Linux Enterprise Desktop 12 SP3 libgxps In progress
SUSE Linux Enterprise Desktop 12 SP4 libgxps In progress
SUSE Linux Enterprise High Performance Computing 12 SP4 libgxps Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libgcrypt Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libgxps Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mozilla-nss Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libgxps Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS libgxps Released
SUSE Linux Enterprise Module for Desktop Applications 15 libgxps Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libgxps Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libgxps Released
SUSE Linux Enterprise Server 12 LTSS libgxps Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libgxps Affected
SUSE Linux Enterprise Server 12 SP2 libgxps Affected
SUSE Linux Enterprise Server 12 SP2 LTSS libgxps Affected
SUSE Linux Enterprise Server 12 SP3 libgxps In progress
SUSE Linux Enterprise Server 12 SP4 libgxps Released
SUSE Linux Enterprise Server 12 SP5 libgcrypt Released
SUSE Linux Enterprise Server 12 SP5 libgxps Released
SUSE Linux Enterprise Server 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise Server 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server 15 LTSS libgxps Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux libgxps Released
SUSE Linux Enterprise Server 15 SP1 LTSS libgxps Released
SUSE Linux Enterprise Server ESPOS 15 libgxps Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libgxps Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libgxps Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libgcrypt Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libgxps Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mozilla-nspr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mozilla-nss Released
SUSE Linux Enterprise Server for SAP Applications 15 libgxps Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libgxps Released
SUSE Linux Enterprise Software Development Kit 12 libgxps Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libgxps In progress
SUSE Linux Enterprise Software Development Kit 12 SP4 libgxps Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libgxps Released
SUSE Manager Proxy 4.0 libgxps Released
SUSE Manager Retail Branch Server 4.0 libgxps Released
SUSE Manager Server 4.0 libgxps Released